<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateGroupsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: groups
         */
        Schema::create('groups', function ($table) {
            $table->increments('id');
            $table->integer('customer_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->increments('commission')->nullable();
            $table->enum('premium', ['.2','.5','1','.3'])->nullable();
            $table->string('description', 255)->nullable();
            $table->enum('status', ['Yes','No'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('groups');
    }
}
