<?php

namespace Hnb\Group\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GroupTransformer extends TransformerAbstract
{
    public function transform(\Hnb\Group\Models\Group $group)
    {
        return [
            'id'                => $group->getRouteKey(),
            'key'               => [
                'public'    => $group->getPublicKey(),
                'route'     => $group->getRouteKey(),
            ], 
            'id'                => $group->id,
            'customer_id'       => $group->customer_id,
            'name'              => $group->name,
            'commission'        => $group->commission,
            'premium'           => $group->premium,
            'description'       => $group->description,
            'status'            => $group->status,
            'created_at'        => $group->created_at,
            'deleted_at'        => $group->deleted_at,
            'updated_at'        => $group->updated_at,
            'url'               => [
                'public'    => trans_url('group/'.$group->getPublicKey()),
                'user'      => guard_url('group/group/'.$group->getRouteKey()),
            ], 
            'status'            => trans('app.'.$group->status),
            'created_at'        => format_date($group->created_at),
            'updated_at'        => format_date($group->updated_at),
        ];
    }
}